NewWacht Bench is live — AI-assisted development for Wacht

Create Actor Project

POST
/ai/projects

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/ai/projects" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'name=string&agent_id=string'
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "deployment_id": "string",
    "actor_id": "string",
    "name": "string",
    "description": "string",
    "status": "string",
    "coordinator_thread_id": "string",
    "review_thread_id": "string",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "created_at": "string",
    "updated_at": "string",
    "archived_at": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}